> For the complete documentation index, see [llms.txt](https://docs.suggestic.com/graphql/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.suggestic.com/graphql/query/queries/restaurants/menu-item-by-id.md).

# Menu Item By Id

Use the `Menuitem`query to retrieve all details for a specific menu item.

### Required Argument

| Argument | Type | Description                                                                                                                      |
| -------- | ---- | -------------------------------------------------------------------------------------------------------------------------------- |
| `id`     | ID!  | Menu item ID. Use the [`Menuitems`](https://docs.suggestic.com/graphql/query/queries/restaurants/menu-items)query to get the ID. |

### Available Fields

| Field Name        | Type                                                                                  | Description                                                                                                      |
| ----------------- | ------------------------------------------------------------------------------------- | ---------------------------------------------------------------------------------------------------------------- |
| `id`              | ID                                                                                    | Menu item ID                                                                                                     |
| `name`            | string                                                                                | Name of the menu item                                                                                            |
| `description`     | string                                                                                | Description of the menu item                                                                                     |
| `sectionName`     | string                                                                                | Section name where the item can be found                                                                         |
| `courses`         | string                                                                                | Type of course. For example `Main Dishes`, `Desserts`, etc                                                       |
| `restaurantName`  | string                                                                                | Restaurant name where this menu item can be found                                                                |
| `menu`            | string                                                                                | Type of menu where the item can be found. For example, `Wine Menu`, `Dinner Menu`, etc                           |
| `adherence`       | [adherence](https://docs.suggestic.com/graphql/objects/common/adherence)              | Object contains details about an item's [Adherence Score](/graphql/start-here/core-concepts/adherence-score.md). |
| `restaurant`      | [restaurant](https://docs.suggestic.com/graphql/objects/common/restaurant)            | Object that contains the restaurant information                                                                  |
| `ingredients`     | [ingredients](https://docs.suggestic.com/graphql/objects/food-logs/ingredients)       | Object that contains the ingredients information                                                                 |
| `nutritionalInfo` | [nutritionalInfo](https://docs.suggestic.com/graphql/objects/recipe/nutritional-info) | Object that contains the nutritional values of the associated food per each gram of that food                    |

### Example

{% tabs %}
{% tab title="Query" %}

```graphql
{
  menuitem(id: "TWVudUl0ZW06ODhmN2NlYzQtNTRlNS00OTBjLTk2YzEtODc3YWIxOTU2OTky") {
    id
    name
		description
    minPrice
    maxPrice
    sectionName
    courses
    restaurantName
    menu
    ingredients {
      name
    }
    adherence {
      score
      color
      icon
      title
      reason
      isRecommended
    }
  }
}
```

{% endtab %}

{% tab title="Response" %}

```javascript
{
  "data": {
    "menuitem": {
      "id": "TWVudUl0ZW06ODhmN2NlYzQtNTRlNS00OTBjLTk2YzEtODc3YWIxOTU2OTky",
      "name": "Chateau St. Michelle, Riesling",
      "description": "fruit foward, peach & apricot",
      "minPrice": 8,
      "maxPrice": 0,
      "sectionName": "White",
      "courses": [
        "Wine"
      ],
      "restaurantName": "Belvedere's",
      "menu": "Wine Menu",
      "ingredients": [
        {
          "name": "peach"
        },
        {
          "name": "fruit"
        },
        {
          "name": "wine"
        },
        {
          "name": "apricot"
        },
        {
          "name": "whiting"
        }
      ],
      "adherence": {
        "score": 0,
        "color": "RED",
        "icon": null,
        "title": "Uh-oh, you may be missing an opportunity to eat right!",
        "reason": "Alcohol is not recommended",
        "isRecommended": false
      }
    }
  }
}
```

{% endtab %}
{% endtabs %}


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.suggestic.com/graphql/query/queries/restaurants/menu-item-by-id.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
